// 保存数据
async function saveLocalJson(key, json) {
    return new Promise((resolve, reject) => {
        const myMap = new Map();
        myMap.set('start_task2', JSON.stringify(json));
        chrome.storage.local.set({ [key]: JSON.stringify(json) }, function () {
            console.log('Value is set to ' + 'value');
            resolve(key);
        });
    });
}

async function getLocalJson(key) {
    return new Promise((resolve, reject) => {
        chrome.storage.local.get([key], (result) => {
            try {
                let objectList = JSON.parse(result[key]);
                resolve(objectList);
            } catch (e) {
                resolve(null);
            }
        });
    });
}

function getLocalJsonCallback(key, call) {
    chrome.storage.local.get([key], (result) => {
        let objectList = JSON.parse(result[key]);
        call(objectList);
    });
}

async function getCurrentWindowId() {
    return new Promise((resolve, reject) => {
        chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
            resolve(tabs[0].id);
        });
    });
}

async function getCurrentWindowUrl() {
    return new Promise((resolve, reject) => {
        chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
            resolve(tabs[0].url);
        });
    });
}

async function markRequestSave222(jsonData) {
    console.log(jsonData);
    return new Promise((resolve, reject) => {
        fetch('https://www.amazon.com/Furmax-Support-Computer-Ergonomic-Armrest/dp/B07B7K7N3P/ref=sr_1_1?dib=eyJ2IjoiMSJ9.zJtXPu5nepru14tgDk0B4c2m1ooQxktbW5etG_GFDGhsV4A_f7Io9-Wqi_WH5nCqgVvu_CQMDQzmlt6awp8xKWsNLliFvXtGm5VIOiIqqeQWNjvD3HJ9AKF6S_NZXDWmL6mgtDm74r8aTGQ-zmQPSYpdiLjF0rGZh5SvNilWvqUeyyKoOJ0FBMS2UpYTUUnU_631Dd1vHMneJbx2_nNMmtZdkIbsWldgwhgeqoHS366sr6bo7nPO4ElU5TBLo1BRf5_zuUAEspM2Gi0PQMrLgD1ay-_0MMOlbhuAns5gYUw.7SMZcOYot6B_1UFNCWsGlPGe5NmL_O8IefI7Qpm0ido&dib_tag=se&keywords=%E7%94%B5%E8%84%91%E6%A4%85&qid=1724237039&sr=8-1', {
            method: 'GET',
            headers: {
                'Content-Type': 'text/html'
            }
        })
            .then(response => response.json())
            .then(data => {
                console.log(data);
                // 将数据显示在页面上
                resolve(data);
            })
            .catch(error => {
                console.error('Error:', error);
                reject(error);
            });
    });
}


// 创建一个 Map
const monthMap = new Map([
    [1, { US: "January", Mexico: "Enero", Canada: "January", France: "Janvier", Italy: "Gennaio", Spain: "Enero", UK: "January", Germany: "Januar" }],
    [2, { US: "February", Mexico: "Febrero", Canada: "February", France: "Février", Italy: "Febbraio", Spain: "Febrero", UK: "February", Germany: "Februar" }],
    [3, { US: "March", Mexico: "Marzo", Canada: "March", France: "Mars", Italy: "Marzo", Spain: "Marzo", UK: "March", Germany: "März" }],
    [4, { US: "April", Mexico: "Abril", Canada: "April", France: "Avril", Italy: "Aprile", Spain: "Abril", UK: "April", Germany: "April" }],
    [5, { US: "May", Mexico: "Mayo", Canada: "May", France: "Mai", Italy: "Maggio", Spain: "Mayo", UK: "May", Germany: "Mai" }],
    [6, { US: "June", Mexico: "Junio", Canada: "June", France: "Juin", Italy: "Giugno", Spain: "Junio", UK: "June", Germany: "Juni" }],
    [7, { US: "July", Mexico: "Julio", Canada: "July", France: "Juillet", Italy: "Luglio", Spain: "Julio", UK: "July", Germany: "Juli" }],
    [8, { US: "August", Mexico: "Agosto", Canada: "August", France: "Août", Italy: "Agosto", Spain: "Agosto", UK: "August", Germany: "August" }],
    [9, { US: "September", Mexico: "Septiembre", Canada: "September", France: "Septembre", Italy: "Settembre", Spain: "Septiembre", UK: "September", Germany: "September" }],
    [10, { US: "October", Mexico: "Octubre", Canada: "October", France: "Octobre", Italy: "Ottobre", Spain: "Octubre", UK: "October", Germany: "Oktober" }],
    [11, { US: "November", Mexico: "Noviembre", Canada: "November", France: "Novembre", Italy: "Novembre", Spain: "Noviembre", UK: "November", Germany: "November" }],
    [12, { US: "December", Mexico: "Diciembre", Canada: "December", France: "Décembre", Italy: "Dicembre", Spain: "Diciembre", UK: "December", Germany: "Dezember" }]
]);

